Subject: [PATCH] ARM: pxa: fix build failure for regulator consumer in em-x270.c

From: [email-masked] (Paul Gortmaker)
Date: Thu, 29 Mar 2012 10:57:08 -0400

On 12-03-29 10:54 AM, Mark Brown wrote:
> On Thu, Mar 29, 2012 at 04:28:48PM +0200, Igor Grinberg wrote:
>> On 03/28/12 18:59, Paul Gortmaker wrote:
> 
>>>>> static struct platform_device em_x270_gps_userspace_consumer = {
>>>>>         .name           = "reg-userspace-consumer",
>>>>>         .id             = 0,
> 
>>>>> static struct platform_device em_x270_gprs_userspace_consumer = {
>>>>>         .name           = "reg-userspace-consumer",
>>>>>         .id             = 1,
> 
>>> -REGULATOR_CONSUMER(ldo19, "reg-userspace-consumer", "vcc gprs");
>>> +REGULATOR_CONSUMER(ldo19, "reg-userspace-consumer.1", "vcc gprs");
> 
>> Well, I thought of this solution, but I don't like it, as it makes
>> the whole thing very fragile and sensitive to the reg-userspace-consumer
>> platform device registration order and count, isn't it?
>> (That's why I proposed to use NULL...).
> 
> No the platform device numbering should be totally stable for a given
> board unless someone deliberately sets out to renumber them - the .ids
> are explicitly assigned by the board when it registers the device.
> 
>> So, Mark, how do you think the above issues can be handled without
>> putting NULL into the dev_name?
> 
> It shouldn't be a problem I think.

Mark,

Would you like me to send a v3 with the .0 and .1 added, or
are you OK with making that small change to v2 yourself?

Paul.